Bug 602881 - Bug-fix rebase of krb5 from 1.8.1 to 1.8.2
Bug-fix rebase of krb5 from 1.8.1 to 1.8.2
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: krb5 (Show other bugs)
All Linux
low Severity medium
: rc
: ---
Assigned To: Nalin Dahyabhai
Zbysek MRAZ
: Rebase
Depends On:
  Show dependency treegraph
Reported: 2010-06-10 18:40 EDT by Nalin Dahyabhai
Modified: 2013-07-03 09:11 EDT (History)
4 users (show)

See Also:
Fixed In Version: krb5-1.8.2-1.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-11-10 16:01:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2010-06-10 18:40:37 EDT
I'd like for us to update from 1.8.1 to 1.8.2.  While this does pare out the need to add patches for CVE-2010-1320 and CVE-2010-1321, it also adds, among other things, a few things that I know we've looked for internally:
* kdc_tcp_ports is now listed in the kdc.conf man page
* a KDC can now be listed using an IPv6 address in /etc/krb5.conf
* tweaks to the way lockout auditing is performed for LDAP realm databases

There aren't any dramatic changes in behavior here, so rather than digging specific fixes out, I'd like to just jump to 1.8.2 while we can.
Comment 1 RHEL Product and Program Management 2010-06-10 18:43:22 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
Comment 3 Nalin Dahyabhai 2010-06-11 14:30:18 EDT
Testing notes: when specifying a KDC by IPv6 address, I believe the address is to be specified in square brackets ("[]"), optionally followed by a colon (":") and a port number.  You're unlikely to need to specify a port number, though.  Tweaks to lockout auditing mainly show up in using a different set of LDAP operations (delete/add while the earlier version used replace) the KDC uses to modify the krbLoginFailedCount attribute for a user entry.
Comment 6 releng-rhel@redhat.com 2010-11-10 16:01:08 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.